import { SelectionService } from "../../_services/selection.service";
import { AbstractInlineEditor } from "./inline-editor.base";
export declare class CheckBoxInputComponent extends AbstractInlineEditor<boolean> {
    defaultValue: boolean;
    id: string;
    name: string;
    label: string;
    state: boolean;
    constructor(selectionService: SelectionService);
    getState(): boolean;
    onSaveState(state: boolean): void;
    protected initialValueForEditing(): boolean;
}
